Opened 17 years ago

Closed 17 years ago

Last modified 16 years ago

#1605 closed defect (duplicate)

koffice-1.2.90 configure failure

Reported by: opendarwin-bugzilla@… Owned by: ranger@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc:
Port:

Description

With a clean kdelibs3 install as of 2004-03-08 under OS X 10.3.2: --- ---> Fetching koffice ---> Verifying checksum for koffice ---> Extracting koffice ---> Configuring koffice Error: Target com.apple.configure returned: configure failure: shell command "cd "/Users/erikswanson/ darwinports/dports/x11/koffice/work/koffice-1.2.90" && CPPFLAGS='-I/usr/X11R6/include -I/opt/ local/include -I/opt/local/include/qt3 -no-cpp-precomp -fno-common' LDFLAGS='-L/usr/X11R6/lib' LIBS='-L/opt/local/lib' DYLD_LIBRARY_PATH='/usr/X11R6/lib:/opt/local/lib' ./configure --prefix=/ opt/local --prefix='/opt/local' --includedir='/opt/local/include' --libdir='/opt/local/lib' --with-extra- includes='/opt/local/include' --with-extra-libs='/opt/local/lib' --with-qt-dir='/opt/local' --with-qt- includes='/opt/local/include/qt3' --enable-rpath --with-pic --enable-shared=yes --enable-static=no --enable-mt --libexecdir='/opt/local/lib' --with-xinerama --with-pam --enable-final --disable- dependency-tracking" returned error 1 Command output: checking for Xinerama... yes checking for pthread_create in -lpthread... yes checking for extra includes... added checking for extra libs... added checking for libz... -lz checking for libpng... -lpng -lz -lm checking for libjpeg6b... no checking for libjpeg... -ljpeg checking for Qt... libraries /opt/local/lib, headers /opt/local/include/qt3 using -mt checking if Qt compiles without flags... no checking for moc... /opt/local/bin/moc checking for uic... /opt/local/bin/uic checking whether uic supports -L ... yes checking whether uic supports -nounload ... yes checking if Qt needs -ljpeg... no checking for rpath... yes checking for KDE... libraries /opt/local/lib, headers /opt/local/include checking if UIC has KDE plugins available... yes checking for KDE paths... defaults checking for dcopidl... /opt/local/bin/dcopidl checking for dcopidl2cpp... /opt/local/bin/dcopidl2cpp checking for mcopidl... /opt/local/bin/mcopidl checking for artsc-config... /opt/local/bin/artsc-config checking for kde-config... /opt/local/bin/kde-config checking for meinproc... /opt/local/bin/meinproc dyld: /opt/local/bin/kde-config version mismatch for library: /usr/X11R6/lib/libXrender.1.dylib (compatibility version of user: 4.0.0 greater than library's version: 1.2.0) configure: error: /opt/local/bin/kde-config --prefix outputed the non existant prefix for kdelibs.

This means it has been moved since you installed it. This won't work. Please recompile kdelibs for the new prefix.

---

Change History (1)

comment:1 Changed 17 years ago by waqar@…

Resolution: duplicate
Status: newclosed

* This bug has been marked as a duplicate of 1559 *

Note: See TracTickets for help on using tickets.